
// huffware script: gold whisperer, by fred huffhines
//
// simply turns a touch from an avatar into an instruction to turn on
// or turn off the gold generator.

integer enabled = FALSE;

whisper_about_gold(integer should_enable)
{
    if (should_enable) llWhisper(0, "#rez on");
    else llWhisper(0, "#rez off");
}



default
{
    state_entry() { if (llSubStringIndex(llGetObjectName(),  "huffotronic") < 0) state real_default; }
    on_rez(integer parm) { state rerun; }
}
state rerun { state_entry() { state default; } }

state real_default
{
    state_entry() { enabled = FALSE; whisper_about_gold(enabled); }
    
    on_rez(integer parm) { state rerun; }

    touch_start(integer total_number) {
        enabled = !enabled;
        whisper_about_gold(enabled);
    }
}
